%global fontname tabish-eeyek
%global fontconf 66-%{fontname}.conf

%global archivename eeyek.zip

Name:           %{fontname}-fonts
Version:        1.0
Release:        5%{?dist}
Summary:        Font for Meetei Mayek script

Group:          User Interface/X
License:        GPLv2+
URL:            http://tabish.freeshell.org/eeyek/
Source0:        http://tabish.freeshell.org/eeyek/%{archivename}
Source1:        %{name}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
A TrueType Font, which allows you to read and write in Meetei Mayek script.

%prep
%setup -q -c Eeyek_Unicode
for file in Eeyek_Unicode/copying.txt; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done



%build


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p Eeyek_Unicode/Eeyek.ttf %{buildroot}%{_fontdir}/eeyek.ttf

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf

%doc Eeyek_Unicode/copying.txt


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Apr 25 2011 Parag Nemade <pnemade AT redhat DOT com> - 1.0-1
- Initial Fedora release.

